package org.linlinjava.jz.db.dto.hm;

import java.time.LocalDateTime;

import javax.validation.constraints.NotNull;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * HmEmployClock
 * 
 * @author 36952
 *
 */

public class HmEmployClockUpdateDto extends HmEmployClockExtend {
	
	@NotNull(message="打卡employClockId不能为空")
	private Long employClockId;
	
	@NotNull(message="服务开始时间不能为空")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm")
	private LocalDateTime startWorkTime;//:ss
	
	@NotNull(message="服务结束时间不能为空")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm")
	private LocalDateTime endWorkTime;
	
	@NotNull(message="打卡状态status不能为空")
	private Integer status;
	
	@NotNull(message="noticeId不能为空")
	private Integer noticeId;

	public Long getEmployClockId() {
		return employClockId;
	}

	public void setEmployClockId(Long employClockId) {
		this.employClockId = employClockId;
	}

	public LocalDateTime getStartWorkTime() {
		return startWorkTime;
	}

	public void setStartWorkTime(LocalDateTime startWorkTime) {
		this.startWorkTime = startWorkTime;
	}

	public LocalDateTime getEndWorkTime() {
		return endWorkTime;
	}

	public void setEndWorkTime(LocalDateTime endWorkTime) {
		this.endWorkTime = endWorkTime;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getNoticeId() {
		return noticeId;
	}

	public void setNoticeId(Integer noticeId) {
		this.noticeId = noticeId;
	}
	
	
}
